/****************** <lalVerbatim file="BlockInitSearchCV">
Author: Tibbits, M. M.
$Id: BlockInitSearch.c,v 1.2 2002/07/05 20:53:13 tibbits Exp $
********************************* </lalVerbatim> */

/******************************* <lalLaTeX file="BlockInitSearchC">
\subsection{Module \texttt{BlockInitSearch.c}}
\label{s:BlockInitSearch.c}

Routine that checks the validity of the input parameters and initializes 
them.

\subsubsection*{Prototypes}
\input{BlockInitSearchCP}
\index{\texttt{LALInitSearch()}}

\subsection*{Description}

Routine that checks the validity of the input parameters and initializes
them.

\subsection*{Algorithms}
  
\subsection*{Uses}

\subsection*{Notes}

\vfill{\footnotesize\input{BlockInitSearchCV}}

*************************************************** </lalLaTeX> */

#include "BlockInitSearch.h"

NRCSID( BLOCKINITSEARCHC, "$Id: BlockInitSearch.c,v 1.2 2002/07/05 20:53:13 tibbits Exp $");

/************************ <lalVerbatim file="BlockInitSearchCP"> */
void LALInitSearch
(
	LALStatus		*status,
	void			**searchParams,
	LALInitSearchParams	*initSearchParams
)
/*********************************************** </lalVerbatim> */
{
	BlockSearchParams	*local;

	INITSTATUS( status, "LALInitSearch", BLOCKINITSEARCHC );

	local = LALMalloc(sizeof(BlockSearchParams));
	ASSERT( local, status, BLOCKINITSEARCHH_EALOC, BLOCKINITSEARCHH_MSGEALOC );
/*
	lalDebugLevel = LALALLDBG;
*/
	/*  Initialize parameters  */
	local->searchMaster		= initSearchParams->nodeClass;
	local->rank			= 0;
	local->numSlaves		= 0;
	local->numOutput		= 0;
	local->vec			= NULL;
	local->data			= NULL;
	local->dataRho3			= NULL;
	local->value			= NULL;
	local->ndx			= NULL;
	local->res			= NULL;
	local->run			= 0;
	local->segmentLength		= 0;
	local->numberOfSequences	= 0;
	local->segmentsRemaining	= 0;
	local->initializedRho3		= 0;

	strcpy(local->channel, "");

	ASSERT( initSearchParams, status, BLOCKINITSEARCHH_ENULL, BLOCKINITSEARCHH_MSGENULL);

	ASSERT( searchParams, status, BLOCKINITSEARCHH_ENULL, BLOCKINITSEARCHH_MSGENULL);

	ASSERT( initSearchParams->argv, status, BLOCKINITSEARCHH_ENULL, BLOCKINITSEARCHH_MSGENULL);

	ASSERT( initSearchParams->argc == 4, status, BLOCKINITSEARCHH_EARG, BLOCKINITSEARCHH_MSGEARG );

	ASSERT(!(strcmp( initSearchParams->argv[0], "-filterparams" )), status, BLOCKINITSEARCHH_EARG, BLOCKINITSEARCHH_MSGEARG);

	local->threshold	 = atof( initSearchParams->argv[1] );
	local->maxVectorLength	 = atoi( initSearchParams->argv[2] );
	local->reprocessWithRho3 = atoi( initSearchParams->argv[3] );

	local->resultsToStore	= NULL;
	local->prevResult	= NULL;

	*searchParams = local;

	RETURN(status);
}
