/******** <lalVerbatim file="FCTHierSupportHV"> ******** 
Author: Edlund, Jeffrey 
$Id: FCTHierSupport.h,v 1.1 2001/12/13 00:32:28 teviet Exp $ 
********* </lalVerbatim> ********/ 

#include <lal/LALDatatypes.h>

#define SETINITIALEVENTS_ENULL 1
#define HIERSUPPORTH_EVENT 2

#define SETINITIALEVENTS_MSGENULL "Null pointer"
#define HIERSUPPORTH_MSGEVENT "Problem with an Event list"

void HierConditionData(
		       LALStatus *status,
		       LALSearchInput *inout,
		       FCTSearchParams *mySearchParams
		       );


void FindThresholdAndUnits(LALStatus *status, FCTSearchParams *mySearchParams, multiDimData *NoiseData);
void MatchFCTUnitsToPhysicalUnits(LALStatus *status, FCTSearchParams *mySearchParams);
void SetInitialEvents(LALStatus *status, FCTSearchParams *mySearchParams);

FCTHierEventType* createHierEvent(INT4 numDims);
void destroyEventList(FCTHierEventType* event);
void TranslateEventListAndBuildOutput (LALStatus       *status,	
				       LALSearchOutput *output,
				       FCTSearchParams *mySearchParams);

REAL4 tau0Func(REAL4 m1, REAL4 m2);
REAL4 tau2Func(REAL4 m1, REAL4 m2);
REAL4 tau3Func(REAL4 m1, REAL4 m2);
REAL4 tau4Func(REAL4 m1, REAL4 m2);
REAL4 tau2MEFunc(REAL4 m, REAL4 eta);
REAL4 tau4MEFunc(REAL4 m, REAL4 eta);
REAL4 totalMassFunc(REAL4 tau0, REAL4 tau3);
REAL4 etaFunc(REAL4 tau0, REAL4 tau3);

/* temporary */
REAL4 tau0(REAL4 m1, REAL4 m2);
REAL4 tau2(REAL4 m1, REAL4 m2);
REAL4 tau3(REAL4 m1, REAL4 m2);
REAL4 tau4(REAL4 m1, REAL4 m2);

void ChirpTimes( REAL4 *tau, UINT4 dim, REAL4 m1, REAL4 m2 );

