/*----------------------------------------------------------------------- 
 * 
 * File Name: ConditionData.h
 *
 * Author: Brady, P. R., and Brown, D. A.
 * 
 * Revision: $Id: ConditionData.h,v 1.14 2002/05/03 22:25:18 duncan Exp $
 * 
 *-----------------------------------------------------------------------
 */

#if 0
<lalVerbatim file="ConditionDataHV">
Author: Brady, P. R., and Brown, D. A.
$Id: ConditionData.h,v 1.14 2002/05/03 22:25:18 duncan Exp $
</lalVerbatim> 

<lalLaTeX>

\section{Header \texttt{ConditionData.h}}
\label{inspiral:ConditionData.h}

Provides error codes, channel definitions and the \texttt{InspiralTmpltsFromILWD()} function for the shared object {\tt ConditionData()} function.

</lalLaTeX>
#endif

#ifndef _CONDITIONDATA_H
#define _CONDITIONDATA_H

#include "Inspiral.h"
#include <lal/Date.h>

#ifdef  __cplusplus
extern "C" {
#pragma }
#endif


NRCSID (CONDITIONDATAH, PKG "$Id: ConditionData.h,v 1.14 2002/05/03 22:25:18 duncan Exp $");

#if 0
<lalLaTeX> 
\subsection*{Error codes} 
</lalLaTeX>
#endif
/* <lalErrTable> */
#define CONDITIONDATAH_ENULL     1
#define CONDITIONDATAH_ENNUL     2
#define CONDITIONDATAH_EALOC     3
#define CONDITIONDATAH_EINPT     4
#define CONDITIONDATAH_EDTZO     5
#define CONDITIONDATAH_ENBNK     6
#define CONDITIONDATAH_EMALF     7
#define CONDITIONDATAH_ECHAN     8
#define CONDITIONDATAH_ESPEC     9
#define CONDITIONDATAH_ERESP     10
#define CONDITIONDATAH_EUIFO     11
#define CONDITIONDATAH_MSGENULL   "Null pointer"
#define CONDITIONDATAH_MSGENNUL   "Non-null pointer"
#define CONDITIONDATAH_MSGEALOC   "Memory allocation error"
#define CONDITIONDATAH_MSGEINPT   "Wrong data names in InPut structure"
#define CONDITIONDATAH_MSGEDTZO   "deltaT is zero or negative"
#define CONDITIONDATAH_MSGENBNK   "No template bank has been constructed"
#define CONDITIONDATAH_MSGEMALF   "Malformed ilwd template bank"
#define CONDITIONDATAH_MSGECHAN   "Incorrect number of input data points"
#define CONDITIONDATAH_MSGESPEC   "Malformed input power spectrum"
#define CONDITIONDATAH_MSGERESP   "Malformed input response function"
#define CONDITIONDATAH_MSGEUIFO   "Unknown or malformed IFO name"
/* </lalErrTable> */


/* the names of the multidim data channels */
#define INPUTNAME_CHANNEL   "channel"
#define INPUTNAME_SPECTRUM  "spectrum"
#define INPUTNAME_RESPONSE  "response"
#define INPUTNAME_TMPLTBANK "tmpltBank"
#define INPUTNAME_INJEPOCHS "injepochs"
#define INPUTNAME_INJPARAMS "injparams"

/* define the name codes for the interferometers we know about */
#define KNOWN_IFO_NAMES "H0H1H2L0L1P0P1P2"

void
InspiralTmpltsFromILWD (
    LALStatus                  *status,
    InspiralSearchParams       *params,
    multiDimData               *mddTmplt
                       );

#ifdef  __cplusplus
#pragma {
}
#endif

#if 0
<lalLaTeX>
\vfill{\footnotesize\input{ConditionDataHV}}
</lalLaTeX> 
#endif

#endif /* _CONDITIONDATA_H */
